# Uses of Class
io.dapr.client.resiliency.ResiliencyOptions

Packages that use ResiliencyOptions
Package
Description
io.dapr.actors.client
io.dapr.client
io.dapr.client.resiliency

## Uses of ResiliencyOptions in io.dapr.actors.client

Constructors in io.dapr.actors.client with parameters of type ResiliencyOptions
Modifier
Constructor
Description
``
`ActorClient(ResiliencyOptions resiliencyOptions)`
Instantiates a new channel for Dapr sidecar communication.
``
`ActorClient(Properties overrideProperties, ResiliencyOptions resiliencyOptions)`
Instantiates a new channel for Dapr sidecar communication.
``
`ActorClient(Properties overrideProperties, Map<String,String> metadata, ResiliencyOptions resiliencyOptions)`
Instantiates a new channel for Dapr sidecar communication.

## Uses of ResiliencyOptions in io.dapr.client

Methods in io.dapr.client with parameters of type ResiliencyOptions
Modifier and Type
Method
Description
`DaprClientBuilder`
DaprClientBuilder.`withResiliencyOptions(ResiliencyOptions options)`
Sets the resiliency options for DaprClient.

## Uses of ResiliencyOptions in io.dapr.client.resiliency

Methods in io.dapr.client.resiliency that return ResiliencyOptions
Modifier and Type
Method
Description
`ResiliencyOptions`
ResiliencyOptions.`setMaxRetries(Integer maxRetries)`
`ResiliencyOptions`
ResiliencyOptions.`setTimeout(Duration timeout)`